CVE-2005-4791

NameCVE-2005-4791
DescriptionMultiple untrusted search path vulnerabilities in SUSE Linux 10.0 cause the working directory to be added to LD_LIBRARY_PATH, which might allow local users to execute arbitrary code via (1) liferea or (2) banshee.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDTSA-107-1
NVD severitylow
Debian Bugs451548

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
banshee (PTS)jessie2.6.2-3fixed
stretch2.6.2-6.1fixed
beagle (PTS)stretch4.1~160727-86a+dfsg-1fixed
buster5.0-180928+dfsg-1fixed
bullseye, sid5.1-190921+dfsg-1fixed
blam (PTS)jessie, stretch1.8.9-4fixed
liferea (PTS)jessie1.10.12-1fixed
stretch1.12~rc3-1fixed
buster1.12.6-1fixed
bullseye, sid1.12.7-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
bansheesource(unstable)0.11.2+dfsg-1low
beaglesource(unstable)0.2.13-1low
blamsource(unstable)1.8.4-1low
lifereasource(unstable)1.4.9-1low451548
lifereasourcelenny1.0.27-2+lenny1DTSA-107-1

Notes

[etch] - beagle <no-dsa> (Minor issue)
[etch] - liferea <no-dsa> (Minor issue)
[etch] - blam <no-dsa> (Minor issue)
lintian bug filed: #451559

Search for package or bug name: Reporting problems